package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 目录对象 dxp_catalogue
 *
 * @author jy
 * @date 2022-12-09
 */
public class Catalogue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 父id */
    @Excel(name = "父id")
    private Long parentId;

    /** 目录类型：integration整合目录，share共享目录 */
    @Excel(name = "目录类型：integration整合目录，share共享目录")
    private String catalogueType;

    /** 目录名称 */
    @Excel(name = "目录名称")
    private String catalogueName;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String coverImg;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private String isTop;

    /** 排序：从小到大 */
    @Excel(name = "排序：从小到大")
    private Integer sort;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setCatalogueType(String catalogueType)
    {
        this.catalogueType = catalogueType;
    }

    public String getCatalogueType()
    {
        return catalogueType;
    }
    public void setCatalogueName(String catalogueName)
    {
        this.catalogueName = catalogueName;
    }

    public String getCatalogueName()
    {
        return catalogueName;
    }
    public void setCoverImg(String coverImg)
    {
        this.coverImg = coverImg;
    }

    public String getCoverImg()
    {
        return coverImg;
    }
    public void setIsTop(String isTop)
    {
        this.isTop = isTop;
    }

    public String getIsTop()
    {
        return isTop;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentId", getParentId())
                .append("catalogueType", getCatalogueType())
                .append("catalogueName", getCatalogueName())
                .append("coverImg", getCoverImg())
                .append("isTop", getIsTop())
                .append("sort", getSort())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
